Page MenuHomePhabricator

Convert Scribunto to use extension registration
Closed, ResolvedPublic

Description

The Scribunto extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:33 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set Security to None.
Anomie added a subscriber: Anomie.

I believe this would be blocked by T99257, specifically with respect to $wgScribuntoEngineConf.

MtDu claimed this task.Jan 18 2016, 4:21 PM
MtDu added a subscriber: MtDu.

I would like to work on this.

Change 265184 had a related patch set uploaded (by MtDu):
Convert Scribunto to use new registration

https://gerrit.wikimedia.org/r/265184

Legoktm claimed this task.Jun 24 2017, 1:07 AM

Gonna take this over

Change 265184 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Convert to use extension.json

https://gerrit.wikimedia.org/r/265184

Anomie closed this task as Resolved.Jun 29 2017, 6:41 PM